From e99e1ea318d56d9b9fca0f7b5124deed16add6ac Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 19 2017 16:35:47 +0000
Subject: [PATCH 9/24] Get rid of datanommer


---

diff --git a/hubs/app.py b/hubs/app.py
index 8072e1f..1cc6c68 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -4,7 +4,6 @@ import datetime
 import logging
 import os
 
-import datanommer.models
 import flask
 import flask.json
 import munch
@@ -32,8 +31,6 @@ if 'HUBS_CONFIG' in os.environ:
 
 fedmsg_config = get_fedmsg_config()
 session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
-datanommer.models.init(
-    fedmsg_config.get('datanommer.sqlalchemy.uri', 'sqlite:///'))
 
 
 @app.before_request
diff --git a/hubs/default_fedmsg_config.py b/hubs/default_fedmsg_config.py
index 81198d6..648f504 100644
--- a/hubs/default_fedmsg_config.py
+++ b/hubs/default_fedmsg_config.py
@@ -23,9 +23,6 @@ config = {
         ]
     },
 
-    'datanommer.sqlalchemy.uri':
-        'postgres://postgres:laksjdf@127.0.0.1/datanommer',
-
     'fmn.url': 'https://apps.fedoraproject.org/notifications',
 
     # Some configuration for the rule processors
@@ -48,11 +45,6 @@ config = {
         },
     },
 
-    # Run datanommer locally, just for development.
-    'datanommer.enabled': True,
-    'datanommer.sqlalchemy.url':
-        'postgres://postgres:laksjdf@127.0.0.1/datanommer',
-
     # Only do one of these so we can try to not run out of memory.
     'moksha.workers_per_consumer': 1,
 }
diff --git a/hubs/tests/fedmsg_test.cfg b/hubs/tests/fedmsg_test.cfg
index 6d64bdf..6dc85b7 100644
--- a/hubs/tests/fedmsg_test.cfg
+++ b/hubs/tests/fedmsg_test.cfg
@@ -21,9 +21,6 @@ config = {
         ]
     },
 
-    #'datanommer.sqlalchemy.uri':
-    #    'postgres://postgres:laksjdf@127.0.0.1/datanommer',
-
     #'fmn.url': 'https://apps.fedoraproject.org/notifications',
 
     ## Some configuration for the rule processors
@@ -42,11 +39,6 @@ config = {
         "backend": "dogpile.cache.null",
     },
 
-    ## Run datanommer locally, just for development.
-    #'datanommer.enabled': True,
-    #'datanommer.sqlalchemy.url':
-    #    'postgres://postgres:laksjdf@127.0.0.1/datanommer',
-
     ## Only do one of these so we can try to not run out of memory.
     #'moksha.workers_per_consumer': 1,
 }
